# LogicUtils Class Reference
[Various accompanying utilities]

Inheritance diagram for LogicUtils:
[legend]

List of all members.

## Static Public Member Functions

static | getOpenRange ($left, $right, $min=null, $max=null)
static | getOpenPoint ($left, $right, $point)

## Detailed Description

Definition at line 15 of file LogicUtils.class.php.

## Member Function Documentation

static LogicUtils::getOpenPoint | ( | $ | left,
|  | $ | right,
|  | $ | point |
| ) |  |  | `[static]`

Exceptions:

  | WrongArgumentException |

Returns:
  LogicalChain

Definition at line 93 of file LogicUtils.class.php.

References Expression::andBlock(), Expression::between(), Assert::isFalse(), Expression::isNull(), Expression::ltEq(), Expression::notNull(), and Expression::orBlock().

Here is the call graph for this function:

static LogicUtils::getOpenRange | ( | $ | left,
|  | $ | right,
|  | $ | min = `null`,
|  | $ | max = `null` |
| ) |  |  | `[static]`

Exceptions:

  | WrongArgumentException |

Returns:
  LogicalChain

Definition at line 21 of file LogicUtils.class.php.

References Expression::andBlock(), Expression::between(), Expression::expOr(), Assert::isFalse(), Expression::isNull(), Expression::ltEq(), Expression::notNull(), and Expression::orBlock().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/LogicUtils.class.php